NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Motion::CurveContactBuilder Class Reference

Represents a NXOpen::Motion::CurveContactBuilder
To create a new instance of this class, use NXOpen::Motion::CurveContactCollection::CreateCurveContactBuilder
Default values. More...

Inheritance diagram for NXOpen::Motion::CurveContactBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  GeometryMaterialSide { GeometryMaterialSideDirection, GeometryMaterialSideDirectionReverse }
 the enum for the materia side direction of the selected geometry More...
 

Public Member Functions

NXOpen::Motion::CurveContactAdamsAdamsParameters ()
 Returns the 2D CurveContact's subobject (the adams parameters)
Created in NX5.0.0. More...
 
NXString ContactName ()
 Returns the contact name
Created in NX5.0.0. More...
 
double DisplayScale ()
 Returns the display scale
Created in NX5.0.0. More...
 
NXOpen::SelectNXObjectListFirstContactCurve ()
 Returns the selection of the first contact curve
Created in NX5.0.0. More...
 
NXOpen::Motion::CurveContactBuilder::GeometryMaterialSide FirstGeometryMaterialDirection ()
 Returns the first geometry materia side direction
Created in NX5.0.0. More...
 
NXOpen::Motion::CurveContactRecurdynRecurdynParameters ()
 Returns the 2D CurveContact's subobject (the recurdyn parameters)
Created in NX5.0.0. More...
 
NXOpen::SelectNXObjectListSecondContactCurve ()
 Returns the selection of the second contact curve
Created in NX5.0.0. More...
 
NXOpen::Motion::CurveContactBuilder::GeometryMaterialSide SecondGeometryMaterialDirection ()
 Returns the second geometry materia side direction
Created in NX5.0.0. More...
 
void SetContactName (const NXString &name)
 Sets the contact name
Created in NX5.0.0. More...
 
void SetContactName (const char *name)
 Sets the contact name
Created in NX5.0.0. More...
 
void SetDisplayScale (double displayScale)
 Sets the display scale
Created in NX5.0.0. More...
 
void SetFirstGeometryMaterialDirection (NXOpen::Motion::CurveContactBuilder::GeometryMaterialSide sideDirection)
 Sets the first geometry materia side direction
Created in NX5.0.0. More...
 
void SetSecondGeometryMaterialDirection (NXOpen::Motion::CurveContactBuilder::GeometryMaterialSide sideDirection)
 Sets the second geometry materia side direction
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Motion::CurveContactBuilder
To create a new instance of this class, use NXOpen::Motion::CurveContactCollection::CreateCurveContactBuilder
Default values.

Property Value

AdamsParameters.DynamicCoefficientExpression.Value

0.05

AdamsParameters.ForceExponentExpression.Value

1.2

AdamsParameters.MaterialDampingExpression.Value

100000.0 (millimeters part), 570.993 (inches part)

AdamsParameters.PenetrationDepthExpression.Value

0.001 (millimeters part), 0.00003937 (inches part)

AdamsParameters.SlipVelocityExpression.Value

0.1 (millimeters part), 0.003937 (inches part)

AdamsParameters.StaticCoefficientExpression.Value

0.08

AdamsParameters.StiffnessExpression.Value

100000000000.0 (millimeters part), 570993141.98628 (inches part)

AdamsParameters.TransitionVelocityExpression.Value

1.0 (millimeters part), 0.03937 (inches part)

DisplayScale

1.0

RecurdynParameters.BufferRadiusFactorExpression.Value

1.2

RecurdynParameters.CurveToleranceFactorExpression.Value

10.0

RecurdynParameters.DynamicCoefficientExpression.Value

0.05

RecurdynParameters.FirstCurveMaximumPenetrationExpression.Value

10.0 (millimeters part), 0.3937 (inches part)

RecurdynParameters.ForceExponentExpression.Value

1.2

RecurdynParameters.MaterialDampingExpression.Value

100000.0 (millimeters part), 570.993 (inches part)

RecurdynParameters.MaximumStepSizeFactorExpression.Value

2.0

RecurdynParameters.PenetrationDepthExpression.Value

0.001 (millimeters part), 0.00003937 (inches part)

RecurdynParameters.SecondCurveMaximumPenetrationExpression.Value

10.0 (millimeters part), 0.3937 (inches part)

RecurdynParameters.SlipVelocityExpression.Value

0.1 (millimeters part), 0.003937 (inches part)

RecurdynParameters.StaticCoefficientExpression.Value

0.08

RecurdynParameters.StiffnessExpression.Value

100000000000.0 (millimeters part), 570993141.98628 (inches part)

RecurdynParameters.TransitionVelocityExpression.Value

1.0 (millimeters part), 0.03937 (inches part)


Created in NX5.0.0.

Member Enumeration Documentation

the enum for the materia side direction of the selected geometry

Enumerator
GeometryMaterialSideDirection 

direction

GeometryMaterialSideDirectionReverse 

direction reverse

Member Function Documentation

NXOpen::Motion::CurveContactAdams* NXOpen::Motion::CurveContactBuilder::AdamsParameters ( )

Returns the 2D CurveContact's subobject (the adams parameters)
Created in NX5.0.0.



License requirements : None

NXString NXOpen::Motion::CurveContactBuilder::ContactName ( )

Returns the contact name
Created in NX5.0.0.



License requirements : None

double NXOpen::Motion::CurveContactBuilder::DisplayScale ( )

Returns the display scale
Created in NX5.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Motion::CurveContactBuilder::FirstContactCurve ( )

Returns the selection of the first contact curve
Created in NX5.0.0.



License requirements : None

NXOpen::Motion::CurveContactBuilder::GeometryMaterialSide NXOpen::Motion::CurveContactBuilder::FirstGeometryMaterialDirection ( )

Returns the first geometry materia side direction
Created in NX5.0.0.



License requirements : None

NXOpen::Motion::CurveContactRecurdyn* NXOpen::Motion::CurveContactBuilder::RecurdynParameters ( )

Returns the 2D CurveContact's subobject (the recurdyn parameters)
Created in NX5.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Motion::CurveContactBuilder::SecondContactCurve ( )

Returns the selection of the second contact curve
Created in NX5.0.0.



License requirements : None

NXOpen::Motion::CurveContactBuilder::GeometryMaterialSide NXOpen::Motion::CurveContactBuilder::SecondGeometryMaterialDirection ( )

Returns the second geometry materia side direction
Created in NX5.0.0.



License requirements : None

void NXOpen::Motion::CurveContactBuilder::SetContactName ( const NXString name)

Sets the contact name
Created in NX5.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
namename
void NXOpen::Motion::CurveContactBuilder::SetContactName ( const char *  name)

Sets the contact name
Created in NX5.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
namename
void NXOpen::Motion::CurveContactBuilder::SetDisplayScale ( double  displayScale)

Sets the display scale
Created in NX5.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
displayScaledisplay scale
void NXOpen::Motion::CurveContactBuilder::SetFirstGeometryMaterialDirection ( NXOpen::Motion::CurveContactBuilder::GeometryMaterialSide  sideDirection)

Sets the first geometry materia side direction
Created in NX5.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
sideDirectionside direction
void NXOpen::Motion::CurveContactBuilder::SetSecondGeometryMaterialDirection ( NXOpen::Motion::CurveContactBuilder::GeometryMaterialSide  sideDirection)

Sets the second geometry materia side direction
Created in NX5.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
sideDirectionside direction

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.